KDE 4.9 PyKDE API Reference

- KDE's Python API

# Mark Class Reference

`from PyKDE4.ktexteditor import *`

Namespace: KTextEditor

## Detailed Description

Mark class containing line and mark types.

Introduction

The class Mark represents a mark in a Document. It contains the line and type. A line can have multiple marks, like a bookmark and a breakpoint, i.e. the type contains all marks combined with a logical OR (<tt>|</tt>). There are several predefined mark types, look into the MarkInterface for further details.

See also:
  KTextEditor.MarkInterface, KTextEditor.Document

## Attributes
int | line
long | type

## Attribute Documentation

int line

long type